Public Access Block
Blocks public acccess to a Bucket
Retrieves the public access configuration for a bucket.
Permissions
You must be the contract owner or an administrator to perform this operation. If not, they can grant you permission to perform the s3:GetBucketPublicAccessBlock operation using Bucket Policy.
S3 API Compatibility
The
x-amz-expected-bucket-ownerheader isn't supported.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketSuccessful operation
AccessDenied
NoSuchBucket
GET /{Bucket}?publicAccessBlock?policy=true HTTP/1.1
Host: s3.eu-central-1.ionoscloud.com
Authorization: YOUR_API_KEY
Accept: */*
<?xml version="1.0" encoding="UTF-8"?> <PublicAccessBlockConfiguration> <BlockPublicAcls>true</BlockPublicAcls> <IgnorePublicAcls>true</IgnorePublicAcls> <BlockPublicPolicy>true</BlockPublicPolicy> <RestrictPublicBuckets>true</RestrictPublicBuckets> </PublicAccessBlockConfiguration>Blocks public access to an object storage bucket based on the specified parameters.
This operation modifies the bucket's settings to either prevent public access entirely or impose restrictions based on specific conditions.
Permissions
You must be the contract owner or an administrator to perform this operation. If not, they can grant you permission to perform the s3:PutBucketPublicAccessBlock operation using Bucket Policy. Note: The bucket owner can always perform this operation, even if the policy explicitly denies access to it.
S3 API Compatibility
The
x-amz-expected-bucket-ownerheader isn't supported.The
x-amz-confirm-remove-self-bucket-accessheader isn't supported.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketThe base64 encoded MD5 digest of the message (without the headers) according to RFC 1864.
Indicates that access to the bucket via Access Control Lists (ACLs) that grant public access is blocked. In other words, ACLs that allow public access are not permitted.
falseInstructs the system to ignore any ACLs that grant public access. Even if ACLs are set to allow public access, they will be disregarded.
falseBlocks public access to the bucket via bucket policies. Bucket policies that grant public access will not be allowed.
falseRestricts access to buckets that have public policies. Buckets with policies that grant public access will have their access restricted.
falseSuccessful operation
MalformedXML
AccessDenied
NoSuchBucket
PUT /{Bucket}?publicAccessBlock?policy=true HTTP/1.1
Host: s3.eu-central-1.ionoscloud.com
Authorization: YOUR_API_KEY
Content-Type: application/xml
Accept: */*
Content-Length: 339
"<?xml version="1.0" encoding="UTF-8"?> <PublicAccessBlockConfiguration xmlns="http://s3.amazonaws.com/doc/2006-03-01/"> <BlockPublicAcls>true</BlockPublicAcls> <IgnorePublicAcls>true</IgnorePublicAcls> <BlockPublicPolicy>true</BlockPublicPolicy> <RestrictPublicBuckets>true</RestrictPublicBuckets> </PublicAccessBlockConfiguration>"No content
Deletes the public access configuration for an object storage bucket.
Permissions
You must be the contract owner or an administrator to perform this operation. If not, they can grant you permission to perform the s3:DeleteBucketPublicAccessBlock operation using Bucket Policy.
S3 API Compatibility
The
x-amz-expected-bucket-ownerheader isn't supported.
IONOS CLOUD Object Storage API requests are authenticated using the AWS signature. The IONOS CLOUD Object Storage API authenticates users using a customized HTTP scheme based on a keyed-HMAC (Hash Message Authentication Code). The process of generating the proper Authorization header is somewhat involved. We recommend that you make use of a tool such as Postman.
In the Authorization tab for a request, select AWS Signature from the Type dropdown list. Specify where Postman should append your authorization data using the Add authorization data to drop-down menu.
-
If you select Request Headers, Postman populates the Headers tab with Authorization and
X-Amz-prefixed fields. -
If you select Request URL, Postman populates the Params tab with authentication details prefixed with
X-Amz-.
Note: The parameters listed below contain confidential information. We recommend using variables to keep this data secure while working in a collaborative environment.
-
For Access Key, enter your
access keydirectly in the fields or through variables for added security. -
For Secret Key, enter your
secret keydirectly in the fields or through variables for added security.
Advanced fields are optional, but Postman will attempt to generate them automatically if necessary.
-
For AWS Region, enter one of the regions (
eu-central-3) where your bucket is hosted. -
For Service Name, enter
s3. The name of the service that receives the requests. -
For Session Token, leave the field blank. This is only required when temporary security credentials are used.
The bucket name.
my-bucketSuccessful operation
AccessDenied
NoSuchBucket
DELETE /{Bucket}?publicAccessBlock?policy=true HTTP/1.1
Host: s3.eu-central-1.ionoscloud.com
Authorization: YOUR_API_KEY
Accept: */*
No content
Last updated
Was this helpful?